Package: org.gmetrics.metric

## [Groovy] Interface Metric

- Represents a metric

  Authors:
    Chris Mair

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `ClassMetricResult` | `applyToClass(org.codehaus.groovy.ast.ClassNode classNode, SourceCode sourceCode)`
    `` | `MetricResult` | `applyToPackage(String path, String packageName, Collection<MetricResult> childMetricResults)`
    `` | `MetricLevel` | `getBaseLevel()`
    `` | `List<String>` | `getFunctions()`
    `` | `String` | `getName()`
    `` | `boolean` | `isEnabled()`

- - ### Method Detail

    - #### ClassMetricResult applyToClass(org.codehaus.groovy.ast.ClassNode classNode, SourceCode sourceCode)

    - #### MetricResult applyToPackage(String path, String packageName, Collection<MetricResult> childMetricResults)

    - #### MetricLevel getBaseLevel()

    - #### List<String> getFunctions()

    - #### String getName()

    - #### boolean isEnabled()